alpm-pkginfo-validate(1)

NAME
alpm-pkginfo-validate - Validate a PKGINFO file

SYNOPSIS
alpm-pkginfo validate [-s|--schema] [-h|--help] [FILE]

DESCRIPTION
Validate a PKGINFO file

Validate a PKGINFO file according to a schema. If the file can be validated, the program exits with no output and a return code of 0. If the file can not be validated, an error is emitted on stderr and the program exits with a non-zero exit code.

OPTIONS

-s, --schema <VERSION>
    Provide the PKGINFO schema version to use. If no schema version is provided, it will be deduced from the file itself.

-h, --help
    Print help (see a summary with '-h')

[FILE]
    An optional input file path to read from If no file is specified, stdin is read from and expected to contain PKGINFO data to validate.